// Starfield simulation.  
// Example of using an ArrayList to hold a varying number of objects.  
// Also shows how you should remove items in a reverse loop over elements.

import java.util.ArrayList;

public class Starfield
{
	public static void main(String[] args)
	{
	    // Create an ArrayList that can hold Star objects
		TBD stars = new TBD;
		
		// Animation loop
		while (true)
		{
			// Create a new star at every time step and add
		    // it to the area list
		    Star newStar = TBD
			stars.TBD
			
			// Black background of space
			StdDraw.setPenColor(StdDraw.BLACK);
			StdDraw.filledRectangle(0.5, 0.5, 1.0, 1.0);
			
			// Draw the stars in white
			StdDraw.setPenColor(StdDraw.WHITE);

			// Loop backwards since we may delete stars that
			// have left the drawing window.
			for (int i = TBD; TBD; TBD)
			{
				// Obtain a reference to the Star object at position i
				Star star = stars.TBD
				
				if (star.gone())
				{
					// This star has left the building, remove it 
				    // from the ArrayList
					stars.TBD
				}
				else
				{				
				    // Star is still onscreen, update position and draw
					star.update();
					star.draw();
				}
			}
			StdDraw.show(40);
		}	
	}
}
